Subject: Re: [patch] powerpc: move PAGE_SIZE outside #ifdef __KERNEL__

From: Geoff Levand <[email-masked]>
Date: Fri, 21 Apr 2006 08:23:07 -0700

Paul Mackerras wrote:
> Geoff Levand writes:
> 
>> The procps package needs PAGE_SIZE, defined in asm-powerpc/page.h,
> 
> Ummm... why?  If procps is assuming that the page size of the kernel
> it's running on is the same as the page size of the kernel it was
> compiled on, it's broken.  It should be using sysconf(PAGE_SIZE) at
> runtime.

As it turned out, the procps was out of date, and getting the latest
solved the problem.  Sorry for the trouble.

-Geoff